<template>
  <div class="order-service-title">
    <div
      v-if="!isService"
      class="order-service-title__icon"
    >
      <template v-if="isAuto || !isTrain">
        <template v-if="isContainer">
          <svg width="42" height="18" viewBox="0 0 42 18" fill="none" xmlns="http://www.w3.org/2000/svg">
            <g clip-path="url(#clip0)">
              <path fill-rule="evenodd" clip-rule="evenodd" d="M36.556 18C37.8616 18 38.9861 17.214 39.4457 16.1085C40.5206 16.0436 41.1695 15.8043 41.4203 15.7118C41.4824 15.6889 41.5201 15.675 41.5338 15.675C41.8449 15.525 42.0004 15.3 42.0004 15V8.925C41.6893 6.6 41.0671 2.55001 40.2115 1.72501C39.0449 0.600014 32.9004 0 31.8893 0C31.4227 0 31.1115 0.3 31.1115 0.75C31.1115 1.2 31.4227 1.5 31.8893 1.5C33.6004 1.5 38.5004 2.25001 39.1227 2.77501C39.3232 3.04578 39.5859 4.01484 39.8359 5.25H37.3338C36.8671 5.25 36.556 5.55 36.556 6V7.72501C36.556 8.02501 36.7893 8.32501 37.1004 8.40001L40.4449 9.49529V11.25C39.9782 11.25 39.6671 11.55 39.6671 12C39.6671 12.45 39.9782 12.75 40.4449 12.75V14.475C40.2562 14.5205 39.9816 14.566 39.6386 14.5947C39.4318 13.1346 38.1246 12 36.556 12C34.8449 12 33.4449 13.35 33.4449 15H26.4449C26.4449 14.4546 26.2919 13.9419 26.0253 13.5H31.8893C32.356 13.5 32.6671 13.125 32.6671 12.75V3.75C32.6671 3.3 32.356 3 31.8893 3C31.4227 3 31.1115 3.3 31.1115 3.75V12H23.3338C21.6227 12 20.2227 13.35 20.2227 15C20.2227 16.65 21.6227 18 23.3338 18C24.4794 18 25.4856 17.3948 26.0255 16.4996C26.0318 16.4997 26.0381 16.4999 26.0445 16.4999C26.0483 16.5 26.0521 16.5 26.056 16.5H33.8645C34.4044 17.395 35.4105 18 36.556 18ZM23.3338 13.5C22.4782 13.5 21.7782 14.175 21.7782 15C21.7782 15.825 22.4782 16.5 23.3338 16.5C24.1893 16.5 24.8893 15.825 24.8893 15C24.8893 14.175 24.1893 13.5 23.3338 13.5ZM36.556 13.5C35.7004 13.5 35.0004 14.175 35.0004 15C35.0004 15.825 35.7004 16.5 36.556 16.5C37.4115 16.5 38.1115 15.825 38.1115 15C38.1115 14.175 37.4115 13.5 36.556 13.5Z" fill="#0070A6"/>
              <path d="M14.7778 10.5C14.3111 10.5 14 10.2 14 9.75V3.75C14 3.3 14.3111 3 14.7778 3C15.2444 3 15.5556 3.3 15.5556 3.75V9.75C15.5556 10.125 15.2444 10.5 14.7778 10.5Z" fill="#0070A6"/>
              <path d="M18.6667 9.75C18.6667 10.2 18.9778 10.5 19.4444 10.5C19.9111 10.5 20.2222 10.125 20.2222 9.75V3.75C20.2222 3.3 19.9111 3 19.4444 3C18.9778 3 18.6667 3.3 18.6667 3.75V9.75Z" fill="#0070A6"/>
              <path d="M10.1111 10.5C9.64445 10.5 9.33333 10.2 9.33333 9.75V3.75C9.33333 3.3 9.64445 3 10.1111 3C10.5778 3 10.8889 3.3 10.8889 3.75V9.75C10.8889 10.125 10.5778 10.5 10.1111 10.5Z" fill="#0070A6"/>
              <path d="M4.66667 9.75C4.66667 10.2 4.97778 10.5 5.44444 10.5C5.91111 10.5 6.22222 10.125 6.22222 9.75V3.75C6.22222 3.3 5.91111 3 5.44444 3C4.97778 3 4.66667 3.3 4.66667 3.75V9.75Z" fill="#0070A6"/>
              <path fill-rule="evenodd" clip-rule="evenodd" d="M6.5804 13.5C6.84702 13.9419 7 14.4546 7 15C7 16.65 5.6 18 3.88889 18C2.17778 18 0.777778 16.65 0.777778 15C0.777778 14.4546 0.930754 13.9419 1.19738 13.5H0.777778C0.311111 13.5 0 13.2 0 12.75V0.75C0 0.3 0.311111 0 0.777778 0H24.8889C25.3556 0 25.6667 0.3 25.6667 0.75V12.75C25.6667 13.125 25.3556 13.5 24.8889 13.5H12.8026C13.0692 13.9419 13.2222 14.4546 13.2222 15C13.2222 16.65 11.8222 18 10.1111 18C8.4 18 7 16.65 7 15C7 14.4546 7.15298 13.9419 7.4196 13.5H6.5804ZM1.55556 12V1.5H24.1111V12H1.55556ZM10.1111 13.5C9.25556 13.5 8.55556 14.175 8.55556 15C8.55556 15.825 9.25556 16.5 10.1111 16.5C10.9667 16.5 11.6667 15.825 11.6667 15C11.6667 14.175 10.9667 13.5 10.1111 13.5ZM2.33333 15C2.33333 14.175 3.03333 13.5 3.88889 13.5C4.74444 13.5 5.44444 14.175 5.44444 15C5.44444 15.825 4.74444 16.5 3.88889 16.5C3.03333 16.5 2.33333 15.825 2.33333 15Z" fill="#0070A6"/>
            </g>
            <defs>
              <clipPath id="clip0">
                <rect width="42" height="18" fill="white"/>
              </clipPath>
            </defs>
          </svg>
        </template>
        <template v-else>
          <i class="icon tractor-semi-trailer-izoterm-b" />
        </template>
      </template>
      <template v-else-if="isTrain">
        <template v-if="isContainer">
          <svg width="40" height="18" viewBox="0 0 40 18" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" clip-rule="evenodd" d="M8.14815 11.25H1.48148V12.75H38.5185V10.5C38.5185 10.05 38.8148 9.75 39.2593 9.75C39.7037 9.75 40 10.05 40 10.5V12.75C40 13.575 39.3333 14.25 38.5185 14.25H36.4936C36.8344 14.6435 37.037 15.1652 37.037 15.75C37.037 17.025 36.0741 18 34.8148 18C33.8173 18 33.0056 17.3881 32.7114 16.5H30.9923C30.6981 17.3881 29.8864 18 28.8889 18C27.6296 18 26.6667 17.025 26.6667 15.75C26.6667 15.1652 26.8693 14.6435 27.2101 14.25H12.7899C13.1307 14.6435 13.3333 15.1652 13.3333 15.75C13.3333 17.025 12.3704 18 11.1111 18C10.1136 18 9.30194 17.3881 9.00768 16.5H7.28862C6.99435 17.3881 6.18274 18 5.18518 18C3.92593 18 2.96296 17.025 2.96296 15.75C2.96296 15.1652 3.16557 14.6435 3.50645 14.25H1.48148C0.666667 14.25 0 13.575 0 12.75V10.5C0 10.05 0.296296 9.75 0.740741 9.75H7.40741V0.75C7.40741 0.3 7.7037 0 8.14815 0H31.1111C31.5556 0 31.8519 0.3 31.8519 0.75V9.75H36.2963C36.7407 9.75 37.037 10.05 37.037 10.5C37.037 10.95 36.7407 11.25 36.2963 11.25H31.1111H8.14815ZM30.3704 9.75V1.5H8.88889V9.75H11.8519V3.75C11.8519 3.3 12.1481 3 12.5926 3C13.037 3 13.3333 3.3 13.3333 3.75V9.75H16.2963V3.75C16.2963 3.3 16.5926 3 17.037 3C17.4815 3 17.7778 3.3 17.7778 3.75V9.75H20.7407V3.75C20.7407 3.3 21.037 3 21.4815 3C21.9259 3 22.2222 3.3 22.2222 3.75V9.75H25.1852V3.75C25.1852 3.3 25.4815 3 25.9259 3C26.3704 3 26.6667 3.3 26.6667 3.75V9.75H30.3704ZM9.43237 14.25C9.24594 14.4652 9.10087 14.7187 9.00768 15H7.28862C7.19543 14.7187 7.05036 14.4652 6.86392 14.25H9.43237ZM32.7114 15C32.8046 14.7187 32.9496 14.4652 33.1361 14.25H30.5676C30.7541 14.4652 30.8991 14.7187 30.9923 15H32.7114ZM34.0741 15.75C34.0741 15.3 34.3704 15 34.8148 15C35.2593 15 35.5556 15.3 35.5556 15.75C35.5556 16.2 35.2593 16.5 34.8148 16.5C34.3704 16.5 34.0741 16.2 34.0741 15.75ZM28.8889 15C28.4444 15 28.1481 15.3 28.1481 15.75C28.1481 16.2 28.4444 16.5 28.8889 16.5C29.3333 16.5 29.6296 16.2 29.6296 15.75C29.6296 15.3 29.3333 15 28.8889 15ZM11.1111 15C10.6667 15 10.3704 15.3 10.3704 15.75C10.3704 16.2 10.6667 16.5 11.1111 16.5C11.5556 16.5 11.8519 16.2 11.8519 15.75C11.8519 15.3 11.5556 15 11.1111 15ZM4.44444 15.75C4.44444 15.3 4.74074 15 5.18518 15C5.62963 15 5.92593 15.3 5.92593 15.75C5.92593 16.2 5.62963 16.5 5.18518 16.5C4.74074 16.5 4.44444 16.2 4.44444 15.75Z" fill="#0070A6"/>
          </svg>
        </template>
        <template v-else>
          <i class="icon railway-carriage-refrigerator" />
        </template>
      </template>
    </div>
    <div class="order-service-title__text">
      {{ serviceTitle }}
    </div>
  </div>
</template>

<script>
export default {
  name: 'OrderGeographyTitle',
  props: {
    order: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    isService () {
      return this.species && !['AUTO', 'TRAIN'].includes(this.species)
    },
    isAuto () {
      return this.order.species === 'AUTO'
    },
    isTrain () {
      return this.order.species === 'TRAIN'
    },
    isContainer () {
      return this.order.transportationWay === 'CONTAINER'
    },
    enumTripsMap () {
      return {
        "RAILWAY_TARIFF": "Провозной тариф",
        "CONTAINER_FREIGHT": "Аренда контейнера",
        "TERMINAL_PROCESSING": "Услуга в точке"
      }
    },
    species () {
      return this.order.species
    },
    serviceTitle () {
      const isExistService = Boolean(this.order.service)
      const serviceTitle = isExistService ? this.order.serviceTypeTitle : this.enumTripsMap[this.species]

      if (this.isService) {
        return isExistService ? `Услуга «${serviceTitle}»` : serviceTitle
      } else {
        return this.order.serviceTypeTitle
      }
    }
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.order-service-title {
  display: flex;
  align-items: center;
  &__icon {
    margin-right: 15px;
    max-width: 75px;
    font-size: 24px;
    color: $cobalt;
  }
  &__text {
    @include font-mixin(16px, 20px, 400, $color-text-base, 0.2px);
  }
}
</style>